Subject: bug#48349: closed (Re: bug#48349: 28.0.50; Problem in dired with symbolic links to Tramp-syntax files)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 May 2021 12:03:02 +0000

Your bug report

#48349: 28.0.50; Problem in dired with symbolic links to Tramp-syntax files

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48349: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48349
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48349: 28.0.50; Problem in dired with symbolic links to Tramp-syntax files
From: Michael Albinus <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Thu, 13 May 2021 14:02:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

Michael Albinus <[email-masked]> writes:

Hi Lars,

>> Apparently dired passes symlinks to Tramp in unfortunate ways.
>>
>> For instance:
>>
>> (cd /tmp; ln -s /sudo:root@localhost:/tmp/foo bar)
>> emacs -Q /tmp/
>>
>> will infloop asking for a password -- `C-g' will break, but it'll just
>> ask again apparently forever, and you have to kill Emacs to get out of
>> the loop.
>>
>> I haven't tried to debug either case.
>
> This is a collateral damage of 824d1a57ec8e7c90b01af6665de5a114529170df
> in function file-name-non-special. Brrrr :-(
>
> I will try to see how to fix this, w/o loosing the solution for bug#48177.

Should be fixed now in master. Closing the bug.

Best regards, Michael.

Subject: 28.0.50; Problem in dired with symbolic links to Tramp-syntax files
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Tue, 11 May 2021 15:22:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Apparently dired passes symlinks to Tramp in unfortunate ways.

For instance:

(cd /tmp; ln -s /sudo:root@localhost:/tmp/foo bar)
emacs -Q /tmp/

will infloop asking for a password -- `C-g' will break, but it'll just
ask again apparently forever, and you have to kill Emacs to get out of
the loop.

(cd /tmp; ln -s /sudo:root@nosuchhost:/tmp/foo bar)
emacs -Q /tmp/

won't even give you a prompt, but won't display anything -- hanging
while resolving the "nosuchhost" name?

I haven't tried to debug either case.

In GNU Emacs 28.0.50 (build 71, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, cairo version 1.16.0)
 of 2021-05-10 built on xo
Repository revision: aa354dd55b213b86ee8e3aa0365a6ad915838458
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Debian GNU/Linux bullseye/sid

Configured using:
 'configure --with-native-compilation'

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no